package xiaoqu.home.open.controller.input;

import xiaoqu.home.open.publicBean.PageInput;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="TaskTaskScenesPageInput分页输入对象")
public class TaskTaskScenesPageInput extends PageInput {


    private Long id;

    @ApiModelProperty(value = "上报人id")
    private Long createId;

    @ApiModelProperty(value = "上报人")
    private String createName;

    @ApiModelProperty(value = "任务生成时间")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    private Integer softDelete;

    @ApiModelProperty(value = "站点id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    private String agentName;

    @ApiModelProperty(value = "任务名称")
    private String name;

    @ApiModelProperty(value = "任务派单号")
    private String no;

    @ApiModelProperty(value = "计划类型(0:计划;1:设备维护任务;2:指派;3:人工上报;4:巡检上报)")
    private Integer taskType;

    @ApiModelProperty(value = "任务作业时间")
    private Date actionTime;

    @ApiModelProperty(value = "任务超时时刻(开始执行时间+任务超时设定时长)")
    private Date preFinishTime;

    @ApiModelProperty(value = "任务完成时间")
    private Date finishTime;

    @ApiModelProperty(value = "过期时间")
    private Date expireTime;

    @ApiModelProperty(value = "所属楼座")
    private String buildingName;

    @ApiModelProperty(value = "楼层")
    private String floor;

    @ApiModelProperty(value = "楼层ID")
    private Long floorId;

    @ApiModelProperty(value = "场景名称")
    private String scenesName;

    @ApiModelProperty(value = "N级网格ID")
    private Long multistageGridId;

    @ApiModelProperty(value = "N级网格名称")
    private String multistageGridName;

    @ApiModelProperty(value = "上级网格名称拼接")
    private String superiorGridName;

    @ApiModelProperty(value = "网格级别1:1级;2:2级.....")
    private Integer gridLevel;

    @ApiModelProperty(value = "场景ID")
    private Long scenesId;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    private Integer scenesLevel;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "排序")
    private Integer orderBy;

    @ApiModelProperty(value = "是否巡检（0:否;1:是）")
    private Integer isCheck;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "评价")
    private String content;

    @ApiModelProperty(value = "巡检任务状态5:按时完成;6:超时完成")
    private Integer status;

    @ApiModelProperty(value = "是否有上报（0：否;1：是）")
    private Integer reportStatus;

    @ApiModelProperty(value = "所属楼ID")
    private Long buildingId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Date getActionTime() {
        return actionTime;
    }

    public void setActionTime(Date actionTime) {
        this.actionTime = actionTime;
    }

    public Date getPreFinishTime() {
        return preFinishTime;
    }

    public void setPreFinishTime(Date preFinishTime) {
        this.preFinishTime = preFinishTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public String getScenesName() {
        return scenesName;
    }

    public void setScenesName(String scenesName) {
        this.scenesName = scenesName;
    }

    public Long getMultistageGridId() {
        return multistageGridId;
    }

    public void setMultistageGridId(Long multistageGridId) {
        this.multistageGridId = multistageGridId;
    }

    public String getMultistageGridName() {
        return multistageGridName;
    }

    public void setMultistageGridName(String multistageGridName) {
        this.multistageGridName = multistageGridName;
    }

    public String getSuperiorGridName() {
        return superiorGridName;
    }

    public void setSuperiorGridName(String superiorGridName) {
        this.superiorGridName = superiorGridName;
    }

    public Integer getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(Integer gridLevel) {
        this.gridLevel = gridLevel;
    }

    public Long getScenesId() {
        return scenesId;
    }

    public void setScenesId(Long scenesId) {
        this.scenesId = scenesId;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Integer getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    public Integer getIsCheck() {
        return isCheck;
    }

    public void setIsCheck(Integer isCheck) {
        this.isCheck = isCheck;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(Integer reportStatus) {
        this.reportStatus = reportStatus;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    protected Serializable pkVal() {
        return null;
    }

    public String toString() {
        return "TaskTaskScenes{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", name=" + name +
        ", no=" + no +
        ", taskType=" + taskType +
        ", actionTime=" + actionTime +
        ", preFinishTime=" + preFinishTime +
        ", finishTime=" + finishTime +
        ", expireTime=" + expireTime +
        ", buildingName=" + buildingName +
        ", floor=" + floor +
        ", floorId=" + floorId +
        ", scenesName=" + scenesName +
        ", multistageGridId=" + multistageGridId +
        ", multistageGridName=" + multistageGridName +
        ", superiorGridName=" + superiorGridName +
        ", gridLevel=" + gridLevel +
        ", scenesId=" + scenesId +
        ", scenesLevel=" + scenesLevel +
        ", taskId=" + taskId +
        ", orderBy=" + orderBy +
        ", isCheck=" + isCheck +
        ", score=" + score +
        ", content=" + content +
        ", status=" + status +
        ", reportStatus=" + reportStatus +
        ", buildingId=" + buildingId +
        "}";
    }
}
